| dfemix Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfeMix_CCCfg Struct Reference
Overview

Full CC configuration. More...

## Data Fields
XDfeMix_CCSequence | Sequence
| CCID sequence. More...
XDfeMix_InternalDUCDDCCfg | DUCDDCCfg [XDFEMIX_CC_NUM]
                                  DUC/DDC
configurations for all CCs More...
XDfeMix_NCO | NCO [XDFEMIX_NCO_MAX]
              Defines settings for all
CC's and Auxiliary's NCO More...
XDfeMix_AuxiliaryCfg | AuxiliaryCfg [XDFEMIX_AUX_NCO_MAX]
                                Auxiliary
configuration More...
XDfeMix_AntennaCfg | AntennaCfg
| Antenna configuration. More...

## Detailed Description

Full CC configuration.

## Field Documentation

XDfeMix_AntennaCfg XDfeMix_CCCfg::AntennaCfg

Antenna configuration.

Referenced by XDfeMix_SetAntennaCfgInCCCfg(), XDfeMix_SetAntennaGain(), and XDfeMix_UpdateAntennaCfg().

XDfeMix_AuxiliaryCfg XDfeMix_CCCfg::AuxiliaryCfg[XDFEMIX_AUX_NCO_MAX]

                                Auxiliary

configuration

Referenced by XDfeMix_AddAuxNCOtoCCCfg(), and XDfeMix_RemoveAuxNCOfromCCCfg().

XDfeMix_InternalDUCDDCCfg XDfeMix_CCCfg::DUCDDCCfg[XDFEMIX_CC_NUM]

                                  DUC/DDC

configurations for all CCs

Referenced by XDfeMix_AddCCtoCCCfg(), XDfeMix_GetCarrierCfgAndNCO(), XDfeMix_RemoveCC(), XDfeMix_RemoveCCfromCCCfg(), and XDfeMix_UpdateCC().

XDfeMix_NCO XDfeMix_CCCfg::NCO[XDFEMIX_NCO_MAX]

              Defines settings for all

CC's and Auxiliary's NCO

Referenced by XDfeMix_AddAuxNCOtoCCCfg(), XDfeMix_AddCCtoCCCfg(), and XDfeMix_GetCarrierCfgAndNCO().

XDfeMix_CCSequence XDfeMix_CCCfg::Sequence

CCID sequence.

Referenced by XDfeMix_AddCC(), XDfeMix_AddCCtoCCCfg(), XDfeMix_GetCarrierCfgAndNCO(), XDfeMix_GetCurrentCCCfg(), XDfeMix_GetCurrentCCCfgSwitchable(), XDfeMix_GetEmptyCCCfg(), XDfeMix_MoveCC(), XDfeMix_RemoveCC(), XDfeMix_RemoveCCfromCCCfg(), XDfeMix_SetNextCCCfgAndTrigger(), XDfeMix_SetNextCCCfgAndTriggerSwitchable(), and XDfeMix_UpdateCC().